%bcond_with bootstrap

Name:           takari-archiver
Version:        0.1.19
Release:        5%{?dist}
Summary:        Takari Archiver
# License information can be found in effective POM.
# For more info, see https://bugzilla.redhat.com/show_bug.cgi?id=1200768#c4
# Bundled FileMode.java is under BSD license, bundling was approved by
# FPC, see https://fedorahosted.org/fpc/ticket/510
License:        EPL-1.0 and BSD
URL:            http://takari.io
BuildArch:      noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

# Clean tarball generated by running ./create-tarball.sh
Source0:        %{name}-%{version}-clean.tar.xz
Source1:        create-tarball.sh

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.guava:guava:14.0.1)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.commons:commons-compress)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
%if %{without bootstrap}
BuildRequires:  mvn(io.takari.maven.plugins:takari-lifecycle-plugin)
BuildRequires:  mvn(io.takari:takari:pom:)
%endif

%description
Takari Archiver is replacement for Maven Archiver for use with Takari
Lifecycle Plugin.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.


%prep
%setup -q

%if %{with bootstrap}
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>io.takari</groupId>"
%pom_xpath_remove -r 'pom:project/pom:packaging[contains(text(),"takari")]'
%pom_add_plugin :maven-compiler-plugin '
<configuration>
  <source>1.8</source>
  <target>1.8</target>
  <compilerArgument>-proc:none</compilerArgument>
</configuration>'
%endif

%build
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%license epl-v10.html

%files javadoc -f .mfiles-javadoc
%license epl-v10.html


%changelog
* Tue May 07 2019 Mat Booth <mat.booth@redhat.com> - 0.1.19-5
- Restrict to same architectures as Eclipse itself

* Tue Apr 23 2019 Mat Booth <mat.booth@redhat.com> - 0.1.19-4
- Update license tag
- Add a bootstrapping mode

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Feb 19 2018 Michael Simacek <msimacek@redhat.com> - 0.1.19-1
- Update to upstream version 0.1.19

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Apr 18 2017 Michael Simacek <msimacek@redhat.com> - 0.1.18-1
- Update to upstream version 0.1.18

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Dec 07 2016 Michael Simacek <msimacek@redhat.com> - 0.1.17-1
- Update to upstream version 0.1.17

* Mon Jul 18 2016 Michael Simacek <msimacek@redhat.com> - 0.1.15-1
- Update to upstream version 0.1.15

* Mon Feb 15 2016 Michael Simacek <msimacek@redhat.com> - 0.1.11-1
- Update to upstream version 0.1.11

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 12 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.1.8-3
- Remove patch for unbundling jgit

* Thu Mar 12 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.1.8-2
- Remove bundled JARs
- Unbundle part of jgit

* Fri Mar 06 2015 Michael Simacek <msimacek@redhat.com> - 0.1.8-1
- Initial packaging
